'use strict';

const index = require('./index-1141a245.js');
const FieldGenerator = require('./FieldGenerator-279a646b.js');
require('./date-a24d7714.js');

// component generator
const render = (field, value, errors, disabled, onFieldChange, onFieldBlur) => index.h("dvn-field-input-date", { disabled: disabled, field: field, errors: errors, onChange: (v) => onFieldChange(field, v), onBlur: () => onFieldBlur(field), value: value });
// register 'date' field for json form generations
FieldGenerator.registerField('date', render);
